#
# spec file for package purple-facebook
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           purple-facebook
Version:        0.9.6
Release:        1.28
Summary:        Facebook protocol plugin for libpurple
License:        GPL-2.0+
Group:          Productivity/Networking/Instant Messenger
Url:            https://github.com/dequis/purple-facebook
Source:         https://github.com/dequis/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(purple)

%description
Purple Facebook implements the Facebook Messenger protocol into
pidgin, finch, and libpurple. While the primary implementation is
for libpurple3, this plugin is backported for libpurple2.

%package -n libpurple-plugin-facebook
Summary:        Facebook protocol plugin for libpurple
Group:          Productivity/Networking/Instant Messenger
Enhances:       libpurple
# purple-facebook was last used in openSUSE Leap 42.2.
Provides:       purple-facebook = %{version}
Obsoletes:      purple-facebook < %{version}

%description -n libpurple-plugin-facebook
Purple Facebook implements the Facebook Messenger protocol into
pidgin, finch, and libpurple. While the primary implementation is
for libpurple3, this plugin is backported for libpurple2.

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -fi
%configure
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files -n libpurple-plugin-facebook
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/purple-2/libfacebook.so

%changelog
* Sun Jan 13 2019 zawel1@gmail.com
- update to version 0.9.6
  * This release fixes these two recent issues:
  * "Failed to get sync_sequence_id" (#449) Facebook increased the
    version number requirement for a significant fraction of users
    (but not everyone, at least not yet)
  * "Failed to read fixed header" (#410 for nss, #444 for gnutls)
    NSS and GnuTLS, the two TLS/SSL libraries that libpurple supports,
    enabled TLS 1.3 support in recent versions, and so did facebook.
    There were some incompatibilities with libpurple 2.12.0 (fixed
    in 2.13.0) and a subtle race condition on our side.
* Sat Sep 16 2017 zawel1@gmail.com
- update to version 0.9.5
  * Don't fail on groupchats with only two members including self (Those are created by the "Marketplace" feature)
  * Use FetchContactsDeltaQuery for contact sync
  * Don't disconnect when trying to join a chat after being kicked
  * Extract target url from fbrpc:// URLs
  * Handle new style topic/groupchat membership events
  * Fix setting channel topics (tid=t_id.1234 is no longer valid)
  * Fix creating threads, inviting, kicking members (misc api changes)
  * Add everyone to "Facebook Friends" group and persist Non-Friends
  * Don't save access token if not remembering password
  * Save names of non-friends in the local alias in blist.xml
  * Add "Mark messages as read only when available" setting
* Fri Jun  9 2017 michal.hrusecky@opensuse.org
- update to version 0.9.4
  * Add content-type header to all requests, fixes http error 400
  * Change error message when sync_sequence_id is missing, for clarity
  * Bump orca version. Purely speculative, may not help with anything.
* Thu Mar 30 2017 zawel1@gmail.com
- Update to version 0.9.3 (changes since 0.9.0):
  * This is now the minimum required version. It fixes connection
    errors after facebook discontinued support for old versions of
    facebook messenger for android. While most of the protocol
    implementation was already above that version, there was a
    subtle change that broke fetching of sync_sequence_id, and the
    previously empty MQTT user agent string is now considered an
    old version too.
  * Set the MQTT user agent to look like Orca-Android 38.0.0.22.155
    Fixes errors when trying to send messages.
  * Use the new ThreadListQuery hash for seq id only, not for
    thread queries.
  * Fixes groupchat join errors.
  * Send orca-formatted user agent for all HTTP requests too. Fixes
    "Failed to parse thread information" errors when joining channels.
* Thu Dec  8 2016 sor.alexei@meowr.ru
- Replace the purple-facebook package with
  libpurple-plugin-facebook.
* Mon Nov 28 2016 mailaender@opensuse.org
- update to version 0.9
  * Set a non-empty HTTP User-Agent. Might help with #282
  * Things ported from bitlbee-facebook (#276)
  * fb_api_cb_contacts: Make all the other fields optional too (#267)
  * fb_http_urlcmp: more loose comparison, to avoid showing urls twice
  * Prevent disconnections on 509 errors, "Invalid attachment id"
  * Make $.hugePictureUrl.uri optional
  * Store sent message id in lastmid, to deduplicate echoed messages (#226)
  * Proper version number.
* Sun Jul  3 2016 mailaender@opensuse.org
- initial packaging
